Txt2Html (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.tomcat.buildutil, class: Txt2Html

# Class Txt2Html

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tomcat.buildutil.Txt2Html

All Implemented Interfaces:
  `Cloneable`

public class Txt2Html extends org.apache.tools.ant.Task
Ant task to convert a given set of files from Text to HTML. Inserts an HTML header including pre tags and replaces special characters with their HTML escaped equivalents.

This task is currently used by the ant script to build our examples

Author:
  Mark Roth

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Txt2Html()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFileset(org.apache.tools.ant.types.FileSet fs)`
  Sets the files to be converted into HTML
  `void`
  `execute()`
  Perform the conversion
  `void`
  `setTodir(File todir)`
  Sets the directory to contain the resulting files

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Txt2Html

    public Txt2Html()

- ## Method Details

  - ### setTodir

    public void setTodir(File todir)
    Sets the directory to contain the resulting files
    Parameters:
      `todir` - The directory

  - ### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet fs)
    Sets the files to be converted into HTML
    Parameters:
      `fs` - The fileset to be converted.

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Perform the conversion
    Overrides:
      `execute` in class `org.apache.tools.ant.Task`
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs during execution of this task.